Subject: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 24 Sep 2016 12:30:07 -0400

On 2016-09-24 03:28, Eli Zaretskii wrote:
> I hope, based on the coverage you presented, it should be clear that 
> Consolas is worse than Courier New.  Non-support of Arabic script is
> a non-starter these days.  On my system, Consolas supports 16
> Unicode blocks and 598 characters, while Courier New supports 29
> blocks and 1258 characters, almost twice as many.

> […] So I don't think we have a candidate font on Windows that is
> better than the current default.

Hi Eli,

I'm not sure it makes sense to equate "better" and "worse" with more or less coverage.   Is Consolas worse than Courier New in terms of number of characters supported?  Certainly.  But then why is Emacs not defaulting to MingLiu or NSimSun?  They are both monospace, both available in recent releases of Microsoft Windows, and they both cover multiple East-Asian scripts, (Courier New doesn't).  On my system, MingLiu supports 28955 glyphs; over 23 times as many as Courier New.

Do we have evidence that users of Emacs on Windows write significant amounts of code in Arabic, to the point that we would want to use Courier New as the default, instead of as a fallback?  If so, do we have evidence that more code is written in Emacs in Arabic than in Chinese and Japanese?  And finally, do we have evidence that users of scripts that Consolas does not support prefer having Courier New as the default, rather than Consolas with a fallback to Courier New, or MingLiu?

I'm not too familiar with editors on Windows.  Do many of them default to Courier New?  AFAICT Netbeans apparently does, but Atom doesn't (it uses Consolas), Visual Studio doesn't (it uses Consolas), Sublime Text doesn't (it uses Consolas), Eclipse doesn't (it changed from Courier New to Consolas in 2011), and Notepad++ doesn't (it changed from Courier New to Source Code Pro in 2015).  What makes things that are acceptable for so many other editors non-starters for us?

Cheers,
Clément.